diablo

Note: After publishing, you may have to bypass your browser's cache to see the changes.

/***** CSS placed here will be applied to all skins on the entire site. *****/
/* See also: [[MediaWiki:Monobook.css]] */

@import url('https://fonts.googleapis.com/css2?family=EB+Garamond:ital,wght@0,400..800;1,400..800&display=swap');

.blizzcon2 { 
   background: url('https://images.wikia.nocookie.net/diablo/images/c/c9/Diablobg.jpg');
   color: #EEEEEE;
}
.opacity70 {
   background: url('https://images.wikia.nocookie.net/diablo/images/c/ca/70opacity.png') repeat;
   color: #EEEEEE;
}
.MPbg1 {
   background: #090909 url('https://images.wikia.nocookie.net/diablo/images/2/2f/MPbg1.jpg') no-repeat;
}
.MPbg2 {
   background: #090909 url('https://images.wikia.nocookie.net/diablo/images/3/3f/MPbg2.jpg') no-repeat;
}
.MPbg3 {
   background: #090909 url('https://images.wikia.nocookie.net/diablo/images/3/31/MPbg3.jpg') no-repeat;
}
.MPbg4 {
   background: #090909 url('https://images.wikia.nocookie.net/diablo/images/4/47/MPbg4.jpg') no-repeat;
}

/* Hide title and tagline on Main Page */
body.page-Diablo_Wiki .firstHeading, body.page-Diablo_Wiki #siteSub { 
    display:none;
}

/* headers */
h1, h2, h3, h4, h5, h6 {
 color: #7d0b0d;
}

.page-header__title {
color: #7d0b0d!important;
}

/* code */
body code {
	background: rgba(191,0,0,0.1);
    border: 1px solid rgba(255,0,0,0.2);
    padding: 2px;
}

/* Mark redirects in Special:Allpages and Special:Watchlist */
.allpagesredirect a {
    color: #888;
    font-style: italic;
}
.watchlistredir a {
    color: #888;
    font-style: italic;
}

/* Put a checker background at the image description page only visible if the image has transparent background */
#file img {
    background: url("https://images.wikia.nocookie.net/central/images/5/5d/Checker-16x16.png") repeat;
}

/* Infobox template style */
.infobox {
   border: 1px solid #aaaaaa;
   background-color: #f9f9f9;
   color: black;
   margin-bottom: 0.5em;
   margin-left: 1em;
   padding: 0.2em;
   float: right;
   clear: right;
}
.infobox td,
.infobox th {
   vertical-align: top;
}
.infobox caption {
   font-size: larger;
   margin-left: inherit;
}
.infobox.bordered {
   border-collapse: collapse;
}
.infobox.bordered td,
.infobox.bordered th {
   border: 1px solid #aaaaaa;
}
.infobox.bordered .borderless td,
.infobox.bordered .borderless th {
   border: 0;
}

/* Forum formatting (by -Algorithm & -Splaka) */
.forumheader {
     border: 1px solid #aaa;
     background-color: #f9f9f9; margin-top: 1em; padding: 12px;
}
.forumlist td.forum_edited a {
     color: #bbb; text-decoration: none
}
.forumlist td.forum_title a {
     padding-left: 20px;
}
.forumlist td.forum_title a.forum_new {
     font-weight: bold; background: url(/images/4/4e/Forum_new.gif)
     center left no-repeat; padding-left: 20px;
}
.forumlist td.forum_title a.forum_new:visited {
     font-weight: normal; background: none; padding-left: 20px;
}
.forumlist th.forum_title {
     padding-left: 20px;
}

/* Recent changes byte indicators */
.mw-plusminus-pos { color: #006500; }
.mw-plusminus-neg { color: #8B0000; }

/* Image frame fix */
div.tright, div.tleft {
    border: 1px solid silver;
}
div.thumb {
    margin: 2px;
}

div.thumbinner {
    background: inherit;
    border: none;
}
#article div.thumb {
    color:inherit;
}

 /* dark table style */
 table.darktable {
  border: 1px solid #606060;
  padding: 5px;
  background: #202020;
  font-size: 90%;
 }
 
 table.darktable th {
  background-color: #113A5E;
  padding: 0 0.5em;
 }
 
 table.darktable caption {
  font-size: 120%;
  font-weight: bold;   
 }
 
 table.darktable tr:not(:first-child) th {
   background-color: #112A44;
 }

/* remove talk link from forum namespace (monobooks/newskins/quartzskins/monaco) */
body.ns-110 #ca-talk, body.ns-110 #this_talk, body.ns-110 #page_tabs li+li  { display: none; }
body.mainpage .FAST_HOME1 {
  height:106px !important;
}

/*Edit similar extension*/

#editsimilar_links {
 background-color: #290000 !important;
 color: #fff !important;
 font-weight: bold !important;
}

/* Main Page CSS */
.mainpage .page-header__title { 
    display: none; 
}

/* main page elements */
.mpbutton {
   color: #ffffff;
   font-weight: bold;
   background: #290000;
   width: 140px;
   border-radius: 2px;
   text-align:center;
   margin: 5px;
   padding: 5px;
   font-size:100%;
   white-space: nowrap;
   display: inline-block;
   cursor: pointer;
}

.mpbutton:hover {
   background: #8D0000;
   color:#ffffff;
   text-decoration: none;
}

.mpbutton a,
.mpbutton a.external {
   color:#ffffff;
   text-decoration: none;
   display: block;
   width:100%;
   height: 100%;
   letter-spacing: 1px;
}

.theme-fandomdesktop-dark .mpbutton { background: #290000; }
.theme-fandomdesktop-light .mpbutton { background: #8d4b4b; }

.wikia-gallery-item .lightbox-caption .mpbutton {
    width: 85%;
    white-space: normal;
}

/* Style for horizontal lists (separator following item).
  IE8-specific classes are assigned in [[MediaWiki:Common.js/IEFixes.js]].
  @source mediawiki.org/wiki/Snippets/Horizontal_lists
  @revision 4.3 (2014-01-06)
  @author [[User:Edokter]]
*/
.hlist dl,
.hlist ol,
.hlist ul {
	margin: 0;
	padding: 0;
}
/* Display list items inline */
.hlist dd,
.hlist dt,
.hlist li {
	margin: 0;
	display: inline;
}
/* Display nested lists inline */
.hlist dl dl, .hlist dl ol, .hlist dl ul,
.hlist ol dl, .hlist ol ol, .hlist ol ul,
.hlist ul dl, .hlist ul ol, .hlist ul ul {
	display: inline;
}
/* Generate interpuncts */
.hlist dt:after {
	content: ": ";
}
.hlist dd:after,
.hlist li:after {
	content: " · ";
	font-weight: bold;
}
.hlist dd:last-child:after,
.hlist dt:last-child:after,
.hlist li:last-child:after {
	content: none;
}
/* For IE8 */
.hlist dd.hlist-last-child:after,
.hlist dt.hlist-last-child:after,
.hlist li.hlist-last-child:after {
	content: none;
}
/* Add parentheses around nested lists */
.hlist dd dd:first-child:before, .hlist dd dt:first-child:before, .hlist dd li:first-child:before,
.hlist dt dd:first-child:before, .hlist dt dt:first-child:before, .hlist dt li:first-child:before,
.hlist li dd:first-child:before, .hlist li dt:first-child:before, .hlist li li:first-child:before {
	content: " (";
	font-weight: normal;
}
.hlist dd dd:last-child:after, .hlist dd dt:last-child:after, .hlist dd li:last-child:after,
.hlist dt dd:last-child:after, .hlist dt dt:last-child:after, .hlist dt li:last-child:after,
.hlist li dd:last-child:after, .hlist li dt:last-child:after, .hlist li li:last-child:after {
	content: ") ";
	font-weight: normal;
}
/* For IE8 */
.hlist dd dd.hlist-last-child:after, .hlist dd dt.hlist-last-child:after, .hlist dd li.hlist-last-child:after,
.hlist dt dd.hlist-last-child:after, .hlist dt dt.hlist-last-child:after, .hlist dt li.hlist-last-child:after,
.hlist li dd.hlist-last-child:after, .hlist li dt.hlist-last-child:after, .hlist li li.hlist-last-child:after {
	content: ") ";
	font-weight: normal;
}
/* Put ordinals in front of ordered list items */
.hlist ol {
	counter-reset: listitem;
}
.hlist ol > li {
	counter-increment: listitem;
}
.hlist ol > li:before {
	content: " " counter(listitem) " ";
}
.hlist dd ol > li:first-child:before,
.hlist dt ol > li:first-child:before,
.hlist li ol > li:first-child:before {
	content: " (" counter(listitem) " ";
}

/* Lord of Hatred - Main Page Redesign Styling */

/** Switching redlink color (dark theme) **/

.theme-fandomdesktop-dark a.new {
    color: #edb243;
}

/** Main page content margin **/

.lcs-container {
    margin-top: -1.3em;
}

/** Header on Main Page **/

.diablo-header {
    font-family: 'EB Garamond';
    font-weight: 500;
    margin-bottom: -15px;
    padding-left: 0.2em;
    text-transform: uppercase;
}
.lcs-container .diablo-header {
    font-size: 34pt;
    margin-bottom: -15px;
    text-align: center;
}
.rcs-container .diablo-header {
    font-size: 24pt;
    margin-bottom: -7px;
    margin-top: -20px;
}
.theme-fandomdesktop-dark .diablo-header {
    color: #D2C8AE;
}
.theme-fandomdesktop-light .diablo-header {
    color: #7e2113;
}
.theme-fandomdesktop-light .lcs-container .diablo-header-image img {
    filter: grayscale(1);
}
.theme-fandomdesktop-light .rcs-container .diablo-header-image img {
    filter: brightness(0.5);
}

/** Lord of Hatred box **/

.mp-loh-box {
    border: 10px solid transparent;
    padding: 15px 15px 22px 22px;
    margin: 2.7em 0.2em;
}
.theme-fandomdesktop-dark .mp-loh-box {
    border-image: url("https://static.wikia.nocookie.net/diablo/images/8/85/Main_Page_-_LoH_Box_Border.png") 12 stretch;
    background-image: url("https://static.wikia.nocookie.net/diablo/images/c/cd/Main_Page_-_LoH_Box_Background.jpg");
    background-size: auto;
}
.theme-fandomdesktop-light .mp-loh-box {
    background: #e1cfc1;
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.3);
}

.mp-loh-box-title {
	font-family: 'EB Garamond';
	font-size: 28pt;
	font-weight: 500;
	text-transform: uppercase;
	margin-bottom: 3px;
	white-space: nowrap;
	text-align: center;
}
.theme-fandomdesktop-dark .mp-loh-box-title {
	color: #dcdcdc;
	text-shadow: 2px 2px 5px #000;
}
.theme-fandomdesktop-light .mp-loh-box-title {
	color: #7e2113;
	text-shadow: 2px 2px 5px #c2b2a6;
}

/** Collapsible button **/

body.mainpage .mw-collapsible-toggle::before,
body.mainpage .mw-collapsible-toggle::after {
    content: none;
}
body.mainpage .mw-collapsible-toggle {
   float: none;
   text-align: center;
   margin: 10px 0 20px;
   display: inline-block;
   padding: 8px 16px;
   background: #3a372f;
   color: #fff !important;
   border-radius: 6px;
   text-decoration: none;
   font-weight: bold;
   border-radius: 2px;
   font-size: 100%;
   cursor: pointer;
}
body.mainpage .mw-collapsible-toggle:hover {
   background: #7e7458;
   color: #ffffff;
   text-decoration: none;
}
body.mainpage .mw-collapsible-toggle span, 
body.mainpage .mw-collapsible-toggle span:hover {
	color: #FFF;
   letter-spacing: 1px;
}

/** Featured Videos **/
body.mainpage .wikia-gallery-item .title {
    display: none;
}
#gallery-mainpage-videos a.image.lightbox.video.video-thumbnail,
#gallery-mainpage-videos .thumb .gallery-image-wrapper,
#gallery-mainpage-videos .wikia-gallery-item .thumb {
    height: 169px !important;
}